<?php
require_once '../config/conexion.php';

class RegistroUnidad {
    private $db;
    public function __construct() {
        $this->db = (new Connection())->open();
    }

    public function getAll() {
        return $this->db->query("SELECT * FROM registro_unidad ORDER BY id DESC")->fetchAll(PDO::FETCH_ASSOC);
    }

    public function insert($data) {
        $sql = "INSERT INTO registro_unidad (placa, tipo, marca, modelo, aseguradora, nro_poliza_seguro, lat, lng, chofer, comentarios)
                VALUES (:placa, :tipo, :marca, :modelo, :aseguradora, :nro_poliza_seguro, :lat, :lng, :chofer, :comentarios)";
        $stmt = $this->db->prepare($sql);
        return $stmt->execute($data);
    }
}
